import { LfI18n, LfStorage, PathBased } from '@lightweightform/core';
import { Toggleable } from '../../abstract/toggleable';
import * as i0 from "@angular/core";
/**
 * LF alert component.
 */
export declare class AlertComponent extends Toggleable {
    style: string;
    showCloseButton: boolean;
    constructor(parentPathBasedComponent: PathBased | null, lfStorage: LfStorage, lfI18n: LfI18n);
    get closeButtonTooltip(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertComponent, [{ optional: true; skipSelf: true; }, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlertComponent, "lf-alert", never, { "style": "style"; "showCloseButton": "showCloseButton"; }, {}, never, ["*"]>;
}
