import { LfFileStorage, LfI18n, LfRouter, LfStorage } from '@lightweightform/core';
import { ActionsMenuAction } from '../../actions-menu/actions-menu.component';
import { AppComponent } from '../app.component';
import * as i0 from "@angular/core";
/**
 * LF component used to display the "top-bar" of an application.
 */
export declare class TopBarComponent {
    private lfStorage;
    private lfRouter;
    private lfI18n;
    private lfFileStorage;
    protected _appComponent: AppComponent;
    actions: ActionsMenuAction[];
    constructor(lfStorage: LfStorage, lfRouter: LfRouter, lfI18n: LfI18n, lfFileStorage: LfFileStorage, _appComponent: AppComponent);
    get retryValidationText(): string;
    get rootUrl(): string;
    get appIsPending(): boolean;
    get shouldShowAppRecompute(): boolean;
    get isTreeNavVisible(): boolean;
    recomputeAppStateProperties(): void;
    showTreeNav(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TopBarComponent, [null, null, null, { optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TopBarComponent, "lf-top-bar", never, { "actions": "actions"; }, {}, never, ["*"]>;
}
