import { LfI18n, LfStorage, PathBased } from '@lightweightform/core';
import * as i0 from "@angular/core";
/**
 * Bootstrap card component, see options on how to further customise the card
 * with background and border utilities at [Bootstrap documentation](
 * https://getbootstrap.com/docs/4.1/components/card/#card-styles).
 */
export declare class CardComponent extends PathBased {
    /**
     * Always add the class `card` to LF cards.
     */
    _hostClassCard: boolean;
    constructor(parentPathBasedComponent: PathBased | null, lfStorage: LfStorage, lfI18n: LfI18n);
    static ɵfac: i0.ɵɵFactoryDeclaration<CardComponent, [{ optional: true; skipSelf: true; }, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CardComponent, "lf-card, [lf-card]", never, {}, {}, never, ["*"]>;
}
