import { ModalComponent } from '../modal.component';
import * as i0 from "@angular/core";
/**
 * Component that represents the header of a Bootstrap modal.
 */
export declare class ModalHeaderComponent {
    private modalComponent;
    /**
     * Whether to display a button to close the modal.
     */
    showCloseButton: boolean;
    _hostClassModalHeader: boolean;
    constructor(modalComponent: ModalComponent);
    /**
     * Tooltip text used by the modal's close button.
     */
    get closeButtonTooltip(): any;
    /**
     * Hides the modal.
     */
    hide(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalHeaderComponent, "lf-modal-header, [lf-modal-header]", never, { "showCloseButton": "showCloseButton"; }, {}, never, ["*"]>;
}
