import { LfI18n, LfRouter, LfStorage, PathBased } from '@lightweightform/core';
import { SingleSelectionValue } from '../../abstract/single-selection-value';
import * as i0 from "@angular/core";
/**
 * Component used for selecting from a list of options in a dropdown `<select>`
 * menu.
 */
export declare class SelectComponent extends SingleSelectionValue {
    constructor(parentPathBasedComponent: PathBased | null, lfStorage: LfStorage, lfI18n: LfI18n, lfRouter: LfRouter | null);
    /**
     * Action to run whenever the `<select>` values changes.
     * @param evt `change` event.
     */
    _onSelectChange(evt: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectComponent, [{ optional: true; }, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectComponent, "lf-select", never, {}, {}, never, never>;
}
